Summary:	Helper application and MIME type associations for file types
Name:		mailcap
Version:	2.1.48
Release:	%mkrel 1
License:	Public Domain and MIT
Group:		System/Networking
URL:		https://pagure.io/mailcap
Source0:	https://pagure.io/releases/mailcap/%{name}-%{version}.tar.xz
Patch0:		mailcap-2.1.42-mga-mailcap-modifications.patch
BuildArch:	noarch

%description
The mailcap file is used by the metamail program.  Metamail reads the
mailcap file to determine how it should display non-text or multimedia
material.  Basically, mailcap associates a particular type of file
with a particular program that a mail agent or other program can call
in order to handle the file.

Mailcap should be installed to allow certain programs to be able to
handle non-text files.

Also included in this package is the mime.types file which contains a
list of MIME types and their filename "extension" associations, used
by several applications e.g. to determine MIME types for filenames.

%prep
%setup -q
%autopatch -p1

%build
%make_build

%install
%make_install sysconfdir=%{_sysconfdir} mandir=%{_mandir}

rm -f %{buildroot}%{_sysconfdir}/nginx/mime.types

%files
%config(noreplace) %{_sysconfdir}/mailcap
%config(noreplace) %{_sysconfdir}/mime.types
%{_mandir}/man4/*


%changelog
* Tue May 16 2017 luigiwalser <luigiwalser> 2.1.48-1.mga6
+ Revision: 1102033
- 2.1.48

* Fri Nov 11 2016 luigiwalser <luigiwalser> 2.1.47-1.mga6
+ Revision: 1066558
- 2.1.47
- update URLs

* Thu Aug 11 2016 luigiwalser <luigiwalser> 2.1.46-1.mga6
+ Revision: 1045517
- 2.1.46

* Fri Jan 01 2016 luigiwalser <luigiwalser> 2.1.45-1.mga6
+ Revision: 917555
- 2.1.45

* Thu Oct 16 2014 luigiwalser <luigiwalser> 2.1.43-1.mga5
+ Revision: 757849
- 2.1.43

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1.42-2.mga5
+ Revision: 682134
- Mageia 5 Mass Rebuild

* Sun Aug 24 2014 doktor5000 <doktor5000> 2.1.42-1.mga5
+ Revision: 667202
- sync with Fedora
  o use mime.types from Fedora
  o uses xdg-open for image/* and audio/*
  o xdg-open should not be used generally due to internal security issues
    - https://bugzilla.redhat.com/show_bug.cgi?id=479010
    - https://bugs.freedesktop.org/show_bug.cgi?id=19377
  o merged our modifications in mailcap-2.1.42-mga-mailcap-modifications.patch
  o drop mailcap-2.0.4-java-web-start.patch - now contained in mime.types
  o drop mailcap-2.0.4-ooffice.patch - now contained in mime.types
  o kill mailcap.vga
  o drop mailcap-2.0.4-mailcap.vga.patch
- change license to Public Domain and MIT
- extended Description about mime.types

* Fri Oct 18 2013 umeabot <umeabot> 2.0.4-30.mga4
+ Revision: 521435
- Mageia 4 Mass Rebuild

* Tue Jan 22 2013 fwang <fwang> 2.0.4-29.mga3
+ Revision: 390911
- update rpm group

* Sat Jan 12 2013 umeabot <umeabot> 2.0.4-28.mga3
+ Revision: 359307
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 25 2011 doktor5000 <doktor5000> 2.0.4-27.mga2
+ Revision: 147580
- added mailcap.vga.patch, really remove all Mandrake references

* Fri Sep 23 2011 doktor5000 <doktor5000> 2.0.4-26.mga2
+ Revision: 147075
- rediffed mailcap-2.0.4.patch, replacing Mandriva with Mageia
- rediffed mailcap-2.0.4-ooffice.patch

* Tue Feb 01 2011 pterjan <pterjan> 2.0.4-25.mga1
+ Revision: 45499
- imported package mailcap

